OpenTTD Source: Data Fields - Functions

OpenTTD Source 15.0-beta1

Here is a list of all documented functions with links to the struct/union documentation for each field:

### - a -

- Abort() : TimeoutTimer< TTimerType >
- AbortJob() : LinkGraphJob
- AbortTimer() : NewGRFProfiler
- AcceptClient() : TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- AcceptConnection() : ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- ActionCount() : VehicleCargoList
- Add() : anonymous_namespace{framerate_gui.cpp}::PerformanceData, CombinedAuthenticationClientHandler, CombinedAuthenticationServerHandler, NetworkAuthorizedKeys, NWidgetBackground, NWidgetContainer, OrthogonalTileArea, OutputBuffer, OutputStore, OverrideManagerBase, SmallSet< Tdir, items >, StringData
- AddAccumulate() : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- AddCallback() : ClientNetworkContentSocketHandler
- AddClassBegin() : Squirrel
- AddClassEnd() : Squirrel
- AddConst() : Squirrel
- AddCost() : CommandCost
- AddEdge() : LinkGraph::BaseNode
- AddEntityID() : IndustryOverrideManager, OverrideManagerBase
- AddFacility() : Station
- AddFeederShare() : CargoPacket
- AddFile() : BaseMedia< Tbase_set >, FileScanner, FiosFileScanner, GRFFileScanner, LanguageScanner, ScenarioScanner, ScriptFileChecksumCreator, ScriptScanner, SocialIntegrationFileScanner, TarScanner
- AddFlow() : FlowStatMap, LinkGraphJob::EdgeAnnotation, Path
- AddGRFToActive() : NewGRFWindow
- AddIndustryToDeliver() : Station
- AddKeycode() : Hotkey
- AddLabels() : ScriptInfo
- AddLine() : StringFilter
- AddLinks() : LinkGraphOverlay
- AddMethod() : Squirrel
- AddMultipleNodes() : CYapfBaseT< Types >
- AddNewNode() : CYapfBaseT< Types >
- AddNode() : AsymmetricScaler, Kdtree< T, TxyFunc, CoordT, DistT >, LinkGraph, SymmetricScaler
- AddPacket() : PacketReader
- AddPause() : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- AddProfitLastYear() : GroupStatistics
- AddressFamilyAsString() : NetworkAddress
- AddSetting() : ScriptInfo
- AddSpriteSets() : GrfProcessingState
- AddStartNode() : AyStar
- AddStartupNode() : CYapfBaseT< Types >
- AddStats() : LinkGraphOverlay
- AddToCache() : CargoList< Tinst, Tcont >, VehicleCargoList
- AddToMeta() : VehicleCargoList
- AddToShared() : Vehicle
- AddVehicle() : OrderList
- AdvanceOffset() : StringParameters
- AfterBlitterChange() : VideoDriver, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_SDL, VideoDriver_SDL_Base, VideoDriver_Win32GDI
- AfterCrashLogCleanup() : CrashLog
- AfterDownload() : ClientNetworkContentSocketHandler
- AfterLoad() : CargoPacket
- AfterLoadChangelog() : GameManualTextfileWindow
- AfterLoadMarkdown() : TextfileWindow
- AfterLoadText() : GameManualTextfileWindow, TextfileWindow
- AfterNewGRFScan() : AfterNewGRFScan
- AfterStationTileSetChange() : Station
- AgeCargo() : VehicleCargoList
- Aircraft() : Aircraft
- AirportResolverObject() : AirportResolverObject
- AirportScopeResolver() : AirportScopeResolver
- AirportTileIterator() : AirportTileIterator
- AirportTileResolverObject() : AirportTileResolverObject
- AirportTileScopeResolver() : AirportTileScopeResolver
- AirportTileTableIterator() : AirportTileTableIterator
- AirportToolbarGlobalHotkeys() : BuildAirToolbarWindow
- AliasGet() : IConsole
- AliasRegister() : IConsole
- AllClientIdsSet() : CommandHelper< Tcmd, Tret(*)(DoCommandFlag, Targs...), true >
- Allocate() : Map, NewGRFClass< Tspec, Tindex, Tmax >, NewGRFSpriteLayout, ReusableBuffer< T >, SpriteAllocator
- AllocateBackingStore() : VideoDriver_SDL_Base, VideoDriver_SDL_Default, VideoDriver_SDL_OpenGL, VideoDriver_Win32Base, VideoDriver_Win32GDI
- AllocateBay() : RoadStop
- AllocateData() : SpriteLoader::Sprite
- AllocateDriveThroughBay() : RoadStop
- AllocatePtr() : CacheSpriteAllocator, SimpleSpriteAllocator, SpriteAllocator, UniquePtrSpriteAllocator
- AllocateRegisters() : NewGRFSpriteLayout
- AllowConnection() : ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- AllowedSubtags() : AllowedSubtags
- AnchorUnchangeableSettings() : ScriptConfig
- AnimateTile() : AnimationBase< Tbase, Tspec, Tobj, Textra, GetCallback, Tframehelper >
- Append() : StationCargoList, VehicleCargoList
- AppendByte() : Buffer
- AppendHistory() : TextfileWindow
- AppendShare() : FlowStat
- AppendToBuffer() : CoreTextParagraphLayoutFactory, FallbackParagraphLayoutFactory, UniscribeParagraphLayoutFactory
- AppendUtf8() : Buffer
- ApplyDefaults() : Window
- ApplyWaterClassSpeedFrac() : ShipVehicleInfo
- AreChangesPersistent() : BasePersistentStorageArray
- AreMergable() : StationCargoList, VehicleCargoList
- AsIntSetting() : SettingDesc
- AskUserForPassword() : ClientGamePasswordRequestHandler, NetworkAuthenticationPasswordRequestHandler, TestPasswordRequestHandler
- AssertCountConsistency() : VehicleCargoList
- Assign() : NewGRFClass< Tspec, Tindex, Tmax >, Textbuf
- AssignOrder() : Order
- AssignSizePosition() : NWidgetBackground, NWidgetBase, NWidgetHorizontal, NWidgetHorizontalLTR, NWidgetLayer, NWidgetMatrix, NWidgetNewGRFDisplay, NWidgetResizeBase, NWidgetServerListHeader, NWidgetSmallmapDisplay, NWidgetStacked, NWidgetToolbarContainer, NWidgetVertical
- AsString() : NetworkError
- AsStringSetting() : SettingDesc
- AtEndOfFile() : RandomAccessFile
- Attach() : HashTableSlot< TItem >
- AutoRestoreBackup() : AutoRestoreBackup< T >
- AvailableCount() : StationCargoList
- AwardTo() : Subsidy